apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: seldon-core-redis-master
  namespace: "{{ meta.namespace }}"
  labels:
    app: redis
    chart: redis-6.4.5
    release: "seldon-core"
    heritage: "Tiller"
spec:
  selector:
    matchLabels:
      release: "seldon-core"
      role: master
      app: redis
  serviceName: seldon-core-redis-master
  template:
    metadata:
      labels:
        release: "seldon-core"
        chart: redis-6.4.5
        role: master
        app: redis
      annotations:
        checksum/health: 573749be3499821c15fa082556195674fe71d68f935b9c9001f7e07af0749902
        checksum/configmap: 690957187b4b8aae28aab37c4a1f0f6fdaa233dea818f195e37bab8c6a8ea8dd
        checksum/secret: e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855
    spec:      
      serviceAccountName: "default"
      containers:
      - name: seldon-core-redis
        image: "docker.io/bitnami/redis:4.0.14"
        imagePullPolicy: "Always"
        command:
        - /bin/bash
        - -c
        - |
          if [[ -n $REDIS_PASSWORD_FILE ]]; then
            password_aux=`cat ${REDIS_PASSWORD_FILE}`
            export REDIS_PASSWORD=$password_aux
          fi
          ARGS=("--port" "${REDIS_PORT}")
          ARGS+=("--protected-mode" "no")
          ARGS+=("--include" "/opt/bitnami/redis/etc/redis.conf")
          ARGS+=("--include" "/opt/bitnami/redis/etc/master.conf")
          /run.sh ${ARGS[@]}
        env:
        - name: REDIS_REPLICATION_MODE
          value: master
        - name: ALLOW_EMPTY_PASSWORD
          value: "yes"
        - name: REDIS_PORT
          value: "6379"
        ports:
        - name: redis
          containerPort: 6379
        livenessProbe:
          initialDelaySeconds: 5
          periodSeconds: 5
          timeoutSeconds: 5
          successThreshold: 1
          failureThreshold: 5
          exec:
            command:
            - sh
            - -c
            - /health/ping_local.sh 5
        readinessProbe:
          initialDelaySeconds: 5
          periodSeconds: 5
          timeoutSeconds: 1
          successThreshold: 1
          failureThreshold: 5
          exec:
            command:
            - sh
            - -c
            - /health/ping_local.sh 5
        resources:
          null
          
        volumeMounts:
        - name: health
          mountPath: /health
        - name: redis-data
          mountPath: /data
          subPath: 
        - name: config
          mountPath: /opt/bitnami/redis/etc
      volumes:
      - name: health
        configMap:
          name: seldon-core-redis-health
          defaultMode: 0755
      - name: config
        configMap:
          name: seldon-core-redis
  volumeClaimTemplates:
    - metadata:
        name: redis-data
        labels:
          app: "redis"
          component: "master"
          release: "seldon-core"
          heritage: "Tiller"
      spec:
        accessModes:
          - "ReadWriteOnce"
        resources:
          requests:
            storage: "8Gi"
  updateStrategy:
    type: RollingUpdate
